# spacepy.pybats.rim

Classes, functions, and methods for reading, writing, and plotting output from the Ridley Ionosphere Model (RIM) and the similar legacy code, Ridley Serial.

Copyright 2010 Los Alamos National Security, LLC.

Classes

`Iono`(infile, *args, **kwargs) | A class for handling 2D output from the Ridley Ionosphere Model.
`OvalDebugFile`(infile, *args, **kwargs) | The auroral oval calculations in RIM may spit out special debug files that are extremely useful.

Functions

`fix_format`(filename[, finalize]) | Some 2D output files for RIM/RidleySerial have a broken format: values for the same lat-lon entry are split across two lines.
`get_iono_cb`([ct_name]) | Several custom colorbars used by RIM and AMIE have become standard when visualizing data from these models.
`tex_label`(varname) | Many variable names used in the Ridley Ionosphere Model look much better in LaTeX format with their proper Greek letters.